# ComponentWithTargetMachines

API Documentation: | `ComponentWithTargetMachines`

Known Subtypes: |
`CppComponent`
`SwiftComponent`

Represents a component that targets multiple target machines.

### Properties

Property | Description
`targetMachines` | Specifies the target machines this component should be built for. The "machines" extension property (see `TargetMachineFactory`) can be used to construct common operating system and architecture combinations.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``SetProperty`<`TargetMachine`>` `targetMachines`

Specifies the target machines this component should be built for. The "machines" extension property (see `TargetMachineFactory`) can be used to construct common operating system and architecture combinations.

For example:

    targetMachines = [machines.linux.x86_64, machines.windows.x86_64]